Subject: Re: [net-next PATCH 1/3] ixgbe: enable HW RSC for 82599

From: Roland Dreier <[email-masked]>
Date: Wed, 29 Apr 2009 09:40:41 -0700

> > ah, you're right, but this features enables our new hardware that can do 
 > > LRO in hardware, and then GRO can work on top of it if necessary.  We 
 > > wanted some way to turn it off and overloaded the LRO flag to do so.

 > That ugly.  And the kernel is going to turn this off on you
 > when the user enables either forwarding or bridging.

No comment on ugliness.  However it seems like a good feature if the
kernel turns off hardware LRO when forwarding/bridging is turned on --
after all, we don't want the hardware munging wire frames in that case,
for exactly the same reasons that we don't want the kernel LRO munging
frames.

 - R.